BridgeComponent (Mule ESB 2.2.1 API)
Keywords: org.mule.component.simple.BridgeComponent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.component.simple
Class BridgeComponent

    java.lang.Object
      org.mule.component.simple.BridgeComponent

All Implemented Interfaces:
  Callable, EventListener, ServiceAware

Deprecated. along with bridge-service - use an empty service and, if you want an efficient transfer of messages, add a forwarding-consumer.

    public class BridgeComponent

extends Object
implements ServiceAware, Callable

The BridgeComponent is a standard Mule service that enables a bridge between an inbound and outbound endpoints. Transformers can be used on the endpoints to convert the data being received in order to 'bridge' from one endpoint transport to another. When the BridgeComponent is used, it configures itself so that it will not actually be invoked, instead it tells Mule to bypass invocation of the service, which has a slight performance improvement. Note that because the service is never actually invoked any interceptors configured on the service will not be invoked either.

Constructor Summary
`BridgeComponent()` Deprecated.

Method Summary
`Object` | `onCall(MuleEventContext context)` Deprecated. Passes the event to the listener
`void` | `setService(Service service)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BridgeComponent

    public BridgeComponent()

  Deprecated.

Method Detail

### onCall

    public Object onCall(MuleEventContext context)
                  throws Exception

  Deprecated.
  Description copied from interface: `Callable`
  Passes the event to the listener

  Specified by:
    `onCall` in interface `Callable`
  Parameters:
    `context` - the context of the current event being process
  Returns:
    Object this object can be anything. When the `LifecycleAdapter` for the service receives this object it will first see if the Object is an `MuleMessage` if not and the Object is not null a new message will be created using the returned object as the payload. This new event will then get published via the configured outbound router if-
    1. One has been configured for the component.
    2. the `setStopFurtherProcessing(true)` wasn't called on the event context event.
  Throws:
    `Exception` - if the event fails to process properly. If exceptions aren't handled by the implementation they will be handled by the exceptionListener associated with the service

### setService

    public void setService(Service service)
                    throws ConfigurationException

  Deprecated.
  Specified by:
    `setService` in interface `ServiceAware`
  Throws:
    `ConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.